//qkq_museum shader file 12.11.2001

textures/strayglow/strayglow
{
     deformVertexes autoSprite
     surfaceparm	trans
     cull none
     nomipmaps
        {
         clampmap textures/strayglow/strayglow/strayglowrfx.tga
         blendFunc GL_ONE GL_ONE
         tcmod rotate 333
         tcMod stretch sin .9 0.1 0 7
         rgbGen identity
        }
        {
         clampmap textures/strayglow/strayglow/strayglowrfx2.tga
         blendFunc GL_ONE GL_ONE
         tcmod rotate -301
         tcMod stretch sin 1 .1 0 9
         rgbGen identity
        }
    
}

textures/strayglow/strayglowbfx
{
     deformVertexes autoSprite
     surfaceparm	trans
     cull none
     nomipmaps
        {
         clampmap textures/strayglow/strayglowbfx.tga
         blendFunc GL_ONE GL_ONE
         tcmod rotate 333
         tcMod stretch sin .9 0.1 0 7
         rgbGen identity
        }
        {
         clampmap textures/strayglow/strayglowbfx2.tga
         blendFunc GL_ONE GL_ONE
         tcmod rotate -301
         tcMod stretch sin 1 .1 0 9
         rgbGen identity
        }
    
}

textures/strayglow/strayglow/strayfizzr
{
     cull none
     nomipmaps
     surfaceparm	trans

        {
         textures/strayglow/strayglow/strayfizzr.tga
         blendFunc GL_ONE GL_ONE
         tcmod scale  2 1
         tcmod scroll 3 0
         rgbGen identity
        }
        {
         textures/strayglow/strayglow/strayfizzr.tga
         blendFunc GL_ONE GL_ONE
         tcmod scale  1 1
         tcmod scroll -5 0
         rgbGen identity
        }
}

textures/strayglow/strayglow/strayfizzb
{
     cull none
     nomipmaps
     surfaceparm	trans

        {
         textures/strayglow/strayglow/strayfizzb.tga
         blendFunc GL_ONE GL_ONE
         tcmod scale  2 1
         tcmod scroll 3 0
         rgbGen identity
        }
        {
         textures/strayglow/strayglow/strayfizzb.tga
         blendFunc GL_ONE GL_ONE
         tcmod scale  1 1
         tcmod scroll -5 0
         rgbGen identity
        }
}

//
//  Moving Starfields Shader by Crashmeplease.
//				crashmeplease@yahoo.co.uk
//
//  This shader came from the Starfield Shader Tutorial from:
//	Q-workshop3		
//	http://qw3.gamedesign.net


//
//	A three pass starfield example
//
textures/starfield/starfield-3p
{
	qer_editorimage textures/starfield/starfield-00a.tga
	surfaceparm nodlights
	surfaceparm noimpact

	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

        // first pass
	{
		map textures/starfield/starfield-00a.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 1 0
		
	}	
	// second pass
	{
		map textures/starfield/starfield-01a.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 0.75 0
		blendfunc add
	}	
	// third pass
	{
		map textures/starfield/starfield-02a.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 0.5 0
		blendfunc add
	}	
}

// straysludge
textures/strayspecials2/straysludge


	{
		qer_editorimage textures/strayspecials2/straysludge_01.jpg
		qer_trans .5
		q3map_globaltexture
		q3map_surfacelight 1500
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5
		{
			map textures/strayspecials2/straysludge_01.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}

		{
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}


		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity
		}

}

//	END

textures/strayspecials2/straysludge_02


	{
		qer_editorimage textures/strayspecials2/straysludge_01.jpg
		qer_trans .5
		q3map_globaltexture
		q3map_surfacelight 1500
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable

		{
			map textures/strayspecials2/straysludge_01.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}

		{
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}


		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity
		}


}
//	END

// Lens flare shader by Kirk Barnes
models/mapobjects/flares/Light_flare
{
	deformVertexes autosprite
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight	3000	
        cull none

	{
		map models/mapobjects/flares/Light_flare.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identityLighting

	}
}

// startrek teleporter

models/mapobjects/el_tele/el_tele
{
    q3map_surfacelight 1000
    surfaceparm nomarks
     
    {
        map models/mapobjects/el_tele/el_tele.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map models/mapobjects/el_tele/el_tele_blend.tga
        blendfunc add
       rgbGen wave sin 0.5 0.5 0 1
    }
}
 models/mapobjects/el_tele/beam
{
       surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
    q3map_lightimage models/mapobjects/el_tele/beam.tga
    q3map_surfacelight 800
    {
      map models/mapobjects/el_tele/beam.tga
        blendfunc add
        rgbGen wave sin 0 1 0 1
        tcMod scroll 0 1
       }
    {
        map models/mapobjects/el_tele/beam_fx2.tga
        blendfunc add
       rgbGen wave sin 0 1 0 1
    }
       {
      map models/mapobjects/el_tele/beam_fx.tga
        blendfunc add
        rgbGen wave sin 0 1 0 1
        tcMod scroll 0 2
       }
}

// viodarklord

models/mapobjects/flame/flame
{
	surfaceparm alphashadow
	cull disable
	{
		animmap 15 models/mapobjects/flame/flame.jpg models/mapobjects/flame/flame01.jpg models/mapobjects/flame/flame02.jpg models/mapobjects/flame/flame03.jpg models/mapobjects/flame/flame04.jpg models/mapobjects/flame/flame05.jpg
		blendfunc add
		rgbGen identity
	}
}

models/mapobjects/flame/lord
{
	 {
		map models/mapobjects/flame/flame.jpg
		tcMod scroll 1 1
		rgbGen identity
	}
	{
		map models/mapobjects/flame/lord.tga
		blendfunc blend
		rgbgen vertex
	}	
}

// violanterns

models/mapobjects/lsrlght/laser
{
	cull none
	{
		map models/mapobjects/lsrlght/laser.tga
		blendfunc GL_one GL_ONE
	}
}

models/mapobjects/lsrlght/laser1
{
	cull none
	deformvertexes autosprite
	{
		animmap 10  models/mapobjects/lsrlght/laser1.tga models/mapobjects/lsrlght/laser2.tga models/mapobjects/lsrlght/laser3.tga models/mapobjects/lsrlght/laser4.tga
		blendfunc GL_ONE GL_ONE
	}
}

// redwallportal

models/mapobjects/wallportal/wallportal1
{
{
map models/mapobjects/wallportal/wallportal1.tga 
rgbGen identity    
}
{
map models/mapobjects/wallportal/wallportal1_fx.tga
blendFunc add 
tcmod rotate -95 
rgbGen wave sin .5 .5 0 1 
}
{
map models/mapobjects/wallportal/wallportal1_fx.tga 
blendFunc add 
tcMod turb 0 .1 0 .06 
tcmod rotate -45 
rgbGen wave sin .5 .5 0 .5 
}
{
map models/mapobjects/wallportal/wallportal1.tga 
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA     
		rgbGen filter    
	}     
	        { 
		map $lightmap 
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen filter  
	} 
}    

// ember

textures/props/torch_ember
{
	qer_editorimage textures/props/torch_ember.tga
	surfaceparm woodsteps
	{
		map textures/props/ember1a.tga
		tcmod rotate 3
		rgbGen wave sin 1 0.5 0 0.5 
	}
	{
		map textures/props/torch_ember.tga
		blendfunc blend
		rgbGen lightingdiffuse
	}
}

// END
